<?php
// No direct access.
defined('_JEXEC') or die;

JHTML::_('behavior.framework', true);
$app = JFactory::getApplication();

// Add JavaScript Frameworks
JHtml::_('bootstrap.framework');
JHtml::_('bootstrap.loadCss', true, $this->direction);

// Add jQuery framework
JHtml::_('jquery.framework');

// Add template js
//JHtml::_('script', 'template.js', array('version' => 'auto', 'relative' => true));

// Add html5 shiv
//JHtml::_('script', 'jui/html5.js', array('version' => 'auto', 'relative' => true, 'conditional' => 'lt IE 9'));

// Add Stylesheets
JHtml::_('stylesheet', 'templates/system/css/system.css', array('version' => 'auto', 'relative' => false));
JHtml::_('stylesheet', 'main.css', array('version' => 'auto', 'relative' => true));

// Add Javascript for mobile menu
JHtml::_('script', 'mobile.js', array('version' => 'auto', 'relative' => true));

// Check for a custom CSS file
JHtml::_('stylesheet', 'user.css', array('version' => 'auto', 'relative' => true));

// Check for a custom js file
JHtml::_('script', 'user.js', array('version' => 'auto', 'relative' => true));

$params = $this->params;

$leftImageValue  = (empty($this->params{'imgleft'}) ? "none" : "url(\"" . $this->baseurl . "/" . $this->params{'imgleft'} . "\")") ; 
$rightImageValue = (empty($this->params{'imgright'}) ? "none" : "url(\"" . $this->baseurl . "/" . $this->params{'imgright'} . "\")") ;

?>

<?php echo '<!DOCTYPE html>'; ?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >

<head>

<jdoc:include type="head" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

<style>
<?php
if($this->params{'titlepage'} === '1')
{
?>
#right_column, #left_menu
{
	display: none;
}
<?php 
}
?>

body
{
	background-color: <?php echo $this->params{'bgcolorside'}; ?>;
}

a, a:hover, a:active, a:visited
{
	color: <?php echo $params{'mainlicolor'}; ?>;
}

#page-bg
{
	background-image: linear-gradient(to bottom, <?php echo $params{'mainbgcolortop'} . ',' . $params{'mainbgcolorbot'}; ?>);
	color: <?php echo $params{'mainfgcolor'}; ?>;
}

#mobile_menu li > a {
	background-color: <?php echo $params{'bgcolor2'}; ?>;
    color: <?php echo $params{'licolor2'}; ?>;
}

#mobile_menu li.current > a {
	background-color: <?php echo $params{'bgcolor3'}; ?>;
    color: <?php echo $params{'licolor3'}; ?>;
}

ul.menu {
	background-color: <?php echo $params{'bgcolor1'}; ?>;
	color: <?php echo $params{'fgcolor1'}; ?>;
}

#mobile_menu {
	background-color: <?php echo $params{'bgcolor1'}; ?>;
	color: <?php echo $params{'fgcolor1'}; ?>;
}

ul.menu li.current > a,
ul.menu li.current:hover > a
{
	background-color: <?php echo $params{'bgcolor2'}; ?>;
	color: <?php echo $params{'licolor2'}; ?>;
}

ul.nav > li > a:hover,
ul.nav > li > a:focus,
ul.nav-child > li > a:hover,
ul.nav-child > li > a:focus
{
	background-color: <?php echo $params{'bgcolor3'}; ?>;
	color: <?php echo $params{'licolor3'}; ?>;
}

#topmenu,
#topmenu > ul.menu {
  background-color: <?php echo $params{'topbgcolor1'}; ?>;
  color: <?php echo $params{'topfgcolor1'}; ?>;
}

#topmenu .nav-child > li.current

{
  background-color: <?php echo $params{'topbgcolor2'}; ?>;
  color: <?php echo $params{'topfgcolor2'}; ?>;
}

#topmenu .nav-child {
  background-color: <?php echo $params{'topbgcolor3'}; ?>;
  color: <?php echo $params{'topfgcolor3'}; ?>;
}

#topmenu .nav > li:hover,
#topmenu .nav > li:focus,
#topmenu .nav > li.active,
#topmenu .nav-child > li:hover,
#topmenu .nav-child > li:focus
{
  background-color: <?php echo $params{'topbgcolor2'}; ?>;
  color: <?php echo $params{'topfgcolor2'}; ?>;
}

#left_side-image
{
	background-image: <?php echo $leftImageValue; ?>;
}

#right_side-image
{
	background-image: <?php echo $rightImageValue; ?>;
}

.list-striped li:nth-child(odd),
.row-striped .row-fluid:nth-child(odd),
.table-striped > tbody > tr:nth-child(odd)
{
	background-color: <?php echo $params{'bgcolor2'}; ?>;
	color: <?php echo $params{'fgcolor2'}; ?>;
}
.row-striped .row-fluid:nth-child(odd) a,
.table-striped > tbody > tr:nth-child(odd) a
{
	color: <?php echo $params{'licolor2'}; ?>;
}
.list-striped li:hover,
.row-striped .row-fluid:hover,
.table-striped > tbody > tr:hover
{
	background-color: <?php echo $params{'bgcolor3'}; ?>;
	color: <?php echo $params{'fgcolor3'}; ?>;
}
.row-striped .row-fluid:hover a,
.table-striped > tbody > tr:hover a
{
	color: <?php echo $params{'licolor3'}; ?>;
}
.table-striped > thead > tr
{
	background-color: <?php echo $params{'bgcolor3'}; ?>;
	color: <?php echo $params{'fgcolor3'}; ?>;
}

table.alternating tr:nth-child(even) {
	background-color: <?php echo $params{'bgcolor2'}; ?>;
	color: <?php echo $params{'fgcolor2'}; ?>;
}
table.alternating tr:nth-child(even) a
{
	color: <?php echo $params{'licolor2'}; ?>;
}
table.alternating tr:nth-child(1) {
	background-color: <?php echo $params{'bgcolor3'}; ?>;
	color: <?php echo $params{'fgcolor3'}; ?>;
}
table.alternating tr:nth-child(1) a {
	color: <?php echo $params{'licolor3'}; ?>;
}
.readmore > .btn
{
	color: <?php echo $params{'fgcolor1'};?>;
	background-color: <?php echo $params{'bgcolor1'}; ?>;
}
.readmore > .btn:hover
{
	color: <?php echo $params{'fgcolor3'};?>;
	background-color: <?php echo $params{'bgcolor3'}; ?>;
}
</style>

<!--
<?php
print_r($this->params); 
?>
-->

</head>
<body>

<div id='topmenu-div'>
  <div id='topmenu'>
  	<div class='topmenu-sep'></div>
    <jdoc:include type="modules" style="none" name="topmenu" />
    <div class='topmenu-sep'></div>
  </div> <!-- #topmenu -->
</div> <!-- #topmenu-div -->

<div id='page-div'>
	<div id='left_side-image'></div>
	<div id='page-bg'></div>
	<div id='page'>
	
		<div id='header'>
			<div id='slideshow'>
				<jdoc:include type="modules" style="none" name="slideshow" />
			</div> <!-- #slideshow -->
		</div> <!-- #header -->
		
		<div id='mobile_menu_switch'><?php echo JHtml::_('image', 'mobile_menu.svg', 'Menu', array('width' => '40px', 'id' => 'btn_mobile_menu'), true);?></div>
		<div id='mobile_menu'>
			<jdoc:include type="modules" style="none" name="mobile_menu" />
		</div>
	
		<div id='content'>
			<div id='left_menu'>
				<jdoc:include type="modules" style="none" name="left_menu" />
			</div> <!-- #left_menu -->
			<div id='main_column'>
				<div id='main_content'>
					<jdoc:include type="component" style="none" />
				</div>
				<div id='footline'>
					<jdoc:include type="modules" style="none" name="footline" />
				</div> <!-- #footline -->
			</div><!-- main_column -->
			<!-- <div id='right_column'>
				<jdoc:include type="modules" style="none" name="right_column" />
			</div>--><!-- #right_column -->
		</div> <!-- #content -->
	
		<div id='impressum'>
			<jdoc:include type="modules" style="none" name="impressum" />
		</div> <!-- #footer -->
		<div id='footer'>
			<jdoc:include type="modules" style="none" name="footer" />
		</div> <!-- #footer -->
		
	</div> <!-- #page -->
	<div id='right_side-image'></div>
</div> <!-- #page-div -->

</body>
</html>
