<?php
// No direct access.
defined('_JEXEC') or die;

use Joomla\CMS\Uri\Uri;

JHTML::_('behavior.framework', true);
$app = JFactory::getApplication();
$doc = JFactory::getDocument();

// Add JavaScript Frameworks
JHtml::_('bootstrap.framework');
JHtml::_('bootstrap.loadCss', true, $this->direction);

// Add jQuery framework
JHtml::_('jquery.framework');

// Add template js
//JHtml::_('script', 'template.js', array('version' => 'auto', 'relative' => true));

// Add html5 shiv
//JHtml::_('script', 'jui/html5.js', array('version' => 'auto', 'relative' => true, 'conditional' => 'lt IE 9'));

// Add Stylesheets
JHtml::_('stylesheet', 'templates/system/css/system.css', array('version' => 'auto', 'relative' => false));
// JHtml::_('stylesheet', 'media/jui/css/icomoon.css', array('version' => 'auto', 'relative' => false));
JHtml::_('stylesheet', 'style.css', array('version' => 'auto', 'relative' => true));

$doc->addStyleSheet($this->baseurl.'/media/jui/css/icomoon.css');
$doc->addStyleSheet($this->baseurl.'/templates/slt/css/dynamic-styles.css.php?Itemid=' . $app->input->getInt('Itemid'));

// Add Javascript for mobile menu
JHtml::_('script', 'mobile.js', array('version' => 'auto', 'relative' => true));

// Check for a custom CSS file
JHtml::_('stylesheet', 'user.css', array('version' => 'auto', 'relative' => true));

// Check for a custom js file
JHtml::_('script', 'user.js', array('version' => 'auto', 'relative' => true));

?>

<?php echo '<!DOCTYPE html>'; ?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >

<head>

<jdoc:include type="head" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

</head>
<body>

<div id='topmenu-div'>
  <div id='topmenu'>
  	<div class='topmenu-sep'></div>
    <jdoc:include type="modules" style="none" name="topmenu" />
    <div class='topmenu-sep'></div>
  </div> <!-- #topmenu -->
</div> <!-- #topmenu-div -->

<div id='page-div'>
	<div id='left-side-image'></div>
	<div id='page-bg'></div>
	<div id='page'>
	
		<div id='header'>
			<div id='slideshow'>
				<jdoc:include type="modules" style="none" name="slideshow" />
			</div> <!-- #slideshow -->
		</div> <!-- #header -->
		
		<div id='mobile-menu-switch'><?php echo JHtml::_('image', 'mobile_menu.svg', 'Menu', array('width' => '40px', 'id' => 'btn-mobile-menu'), true);?></div>
		<div id='mobile-menu'>
			<jdoc:include type="modules" style="none" name="mobile_menu" />
		</div>
	
		<div id='content'>
			<div id='left-menu'>
				<div class='current-page-menu'>
					<jdoc:include type="modules" style="none" name="current_page_menu" />
				</div>
				<jdoc:include type="modules" style="none" name="left_menu" />
			</div> <!-- #left-menu -->
			<div id='main-column'>
				<div id='main-content'>
					<jdoc:include type="component" style="none" />
				</div>
				<div id='footline'>
					<jdoc:include type="modules" style="none" name="footline" />
				</div> <!-- #footline -->
			</div><!-- main-column -->
		</div> <!-- #content -->
	
		<div id='impressum'>
			<jdoc:include type="modules" style="none" name="impressum" />
		</div> <!-- #footer -->
		<div id='footer'>
			<jdoc:include type="modules" style="none" name="footer" />
		</div> <!-- #footer -->
		
	</div> <!-- #page -->
	<div id='right-side-image'></div>
</div> <!-- #page-div -->

</body>
</html>
